package com.qmth.teachcloud.report.business.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 基础课程变更导入类
 * @Author: CaoZixuan
 * @Date: 2022-02-25
 */
public class BasicCourseChangeDto implements Serializable {
    @ExcelNote(value = "id")
    @NotNull
    private String id;

    @ExcelNote(value = "学校id")
    @NotNull
    private String schoolId;

    @ExcelNote(value = "课程编号")
    @NotNull
    private String courseCode;

    @ExcelNote(value = "课程名称")
    @NotNull
    private String historicName;

    @ExcelNote(value = "变更后的名称")
    private String newName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getHistoricName() {
        return historicName;
    }

    public void setHistoricName(String historicName) {
        this.historicName = historicName;
    }

    public String getNewName() {
        return newName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }
}
